FROM quay.io/fedora/fedora:40

RUN dnf update -y && \
    dnf install -y python3-pip python3-pytest && \
    dnf clean all -y

# Install deps from requirements.txt
COPY requirements.txt /var/run/requirements.txt
RUN pip3.12 install --no-cache-dir -r /var/run/requirements.txt

# Install project scripts into local bin
COPY src/tools_mr/assign_merge_request.py /usr/local/bin/auto-assign-mr
RUN chmod 0755 /usr/local/bin/auto-assign-mr

COPY src/tools_mr/check_jira_reference.py /usr/local/bin/check-jira-reference
RUN chmod 0755 /usr/local/bin/check-jira-reference
